[arch-commits] Commit in speedtouch/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 18 02:03:31 EDT 2009


    Date: Saturday, April 18, 2009 @ 02:03:31
  Author: eric
Revision: 35901

Fixed svn conflict

Modified:
  speedtouch/repos/extra-x86_64/	(properties)
  speedtouch/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Property changes on: speedtouch/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /speedtouch/trunk:1
   + /speedtouch/trunk:1-35900

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-18 06:01:39 UTC (rev 35900)
+++ extra-x86_64/PKGBUILD	2009-04-18 06:03:31 UTC (rev 35901)
@@ -3,19 +3,19 @@
 # Contributor: Aurelien Foret <orelien at chez.com>
 pkgname=speedtouch
 pkgver=1.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Driver for the ADSL Speed Touch USB modem"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://speedtouch.sourceforge.net/"
+license=('GPL')
 depends=('bash')
-source=(http://dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2 speedtouch-1.3.1-gcc4.patch)
-url="http://speedtouch.sourceforge.net/"
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2 speedtouch-1.3.1-gcc4.patch)
 md5sums=('0848a120ae0eeab6c8ab378e11dc4fa2' '4191035925db745944c75e26937c42a3')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  # gcc4 fix from Gentoo
-  patch -Np1 -i ../speedtouch-1.3.1-gcc4.patch || return 1
-  ./configure --prefix=/usr --sysconfdir=/etc
+  cd $srcdir/$pkgname-$pkgver
+  patch -p1 < ../speedtouch-1.3.1-gcc4.patch || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr sysconfdir=$startdir/pkg/etc install || return 1
+  make prefix=$pkgdir/usr sysconfdir=$pkgdir/etc mandir=$pkgdir/usr/share/man install || return 1
 }



More information about the arch-commits mailing list